using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace compabetov2.database.modelos
{
    public class Empleado
    {
        public int idempleado;
        public string nombre;
        public string apellidos;
        public string calle;
        public string fecha_contratacion;
        public string estado;
        public string colonia;
        public string cp;
        public string no_ext;
        public string no_int;
        public string referencia;
        public string fecha_nac;
        public string telefono;
        public string img;
        public int fkIdLogin;

        public Empleado(int idempeado = -1, string nombre ="", string apellidos = "", string calle = "", string fecha_contratacion = "", string estado = "", string colonia = "", string cp = "", string no_ext = "", string no_int = "", string referencia = "", string fecha_nac = "", string telefono ="",string img = "",int fkIdLogin = -1)
        {
            this.idempleado = idempeado;
            this.nombre = nombre;
            this.apellidos = apellidos;
            this.calle = calle;
            this.fecha_contratacion=fecha_contratacion;
            this.estado = estado;
            this.colonia = colonia;
            this.cp = cp;
            this.no_ext = no_ext; 
            this.no_int = no_int; 
            this.referencia = referencia;
            this.fecha_nac=fecha_nac;
            this.telefono = telefono;
            this.img = img;
            this.fkIdLogin = fkIdLogin;
        }

        public bool CompareEmpleado(Empleado emp2)
        {
            if (nombre != emp2.nombre) return false;
            if (apellidos != emp2.apellidos) return false;
            if (calle != emp2.calle) return false;
            if (fecha_contratacion != emp2.fecha_contratacion) return false;
            if (estado != emp2.estado) return false;
            if (colonia != emp2.colonia) return false;
            if (cp != emp2.cp) return false;
            if (no_ext != emp2.no_ext) return false;
            if (no_int != emp2.no_int) return false;
            if (referencia != emp2.referencia) return false;
            if (fecha_nac != emp2.fecha_nac) return false;
            if (telefono != emp2.telefono) return false;

            return true;
        }
    }
}
